Announcement Announcement Module
Collapse
No announcement yet.
Conflict deploying a bundle that depends on Spring Security Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Conflict deploying a bundle that depends on Spring Security

    I'm trying to understand this, but it seems circular. Every time I add or remove some bundle or library from the manifest and copy the jar to the pickup dir I run into a different conflict. Here is the latest.

    My manifest:

    Bundle-ManifestVersion: 2
    Bundle-SymbolicName: org.helianto.core.shared_services
    Bundle-Version: 0.2.20080913
    Bundle-Name: Helianto core module
    Bundle-Vendor: i-Serv Consultoria Empresarial
    Import-Library: org.hibernate.ejb;version="[3.3.1.ga,3.3.1.ga]"
    Import-Bundle: com.springsource.org.apache.commons.dbcp;version="[1.2.2.osgi,1.2.2.osgi]",
    com.springsource.org.hsqldb;version="1.8.0.9",
    com.springsource.org.apache.commons.logging;versio n="[1.1.1,2.0.0)",
    com.springsource.javax.mail,
    org.springframework.security
    Provide-Package: org.helianto.core,
    org.helianto.core.creation,
    org.helianto.core.dao,
    org.helianto.core.filter,
    org.helianto.core.hibernate,
    org.helianto.core.mail,
    org.helianto.core.mail.compose,
    org.helianto.core.orm,
    org.helianto.core.security,
    org.helianto.core.service,
    org.helianto.core.test,
    org.helianto.core.transform,
    org.helianto.core.transform.mail,
    org.helianto.core.validation

    Error message:

    [2008-09-15 09:24:35.283] fs-watcher <SPDE0048I> Processing 'CREATED' event for file 'helianto-core.jar'.
    [2008-09-15 09:24:40.214] fs-watcher <SPFF0002I> Wrote dump file "C:springsource-dm-serverserviceabilitydump2008-09-15_09-24-39.dump"
    [2008-09-15 09:24:40.651] fs-watcher <SPDE0018E> Unable to install application from location 'file:/C:/springsource-dm-server/pickup/helianto-core.jar'. Could not satisfy constraints for bundle 'org.helianto.core.shared_services' at version '0.2.20080913'.
    Cannot resolve: org.helianto.core.shared_services
    Resolver report:
    Bundle: org.helianto.core.shared_services_0.2.20080913 - Uses Conflict: Import-Package: org.springframework.security.acl.basic.jdbc; version="2.0.2.A"
    Possible Supplier: org.springframework.security_2.0.2.A - Export-Package: org.springframework.security.acl.basic.jdbc; version="2.0.2.A"
    Possible Conflicts: javax.sql,org.springframework.context,org.springfr amework.jdbc.object,org.springframework.dao,org.sp ringframework.security.acl.basic

    Thanks

    Mauricio
Working...
X